#ifndef _SD_H_
#define _SD_H_
#include "config.h"
#include "LPC2103.h"
#include "uart.h"

//*********************************
//ܣP0.18ΪƬѡCS
//*********************************
#define SD_CS_0 IOCLR|=1<<18;
#define SD_CS_1 IOSET|=1<<18;

extern void SPI_Init(void);
extern void SPI_LowSpeed(void);
extern void SPI_HighSpeed(void);
extern UINT8 SD_write_byte(UINT8 data);
extern UINT8 SD_write_command(UINT8 command,UINT32 address);
extern UINT8 SD_reset(void);
extern UINT8 SD_writesector(UINT32 sector,UINT8 *buffer);
extern UINT8 SD_readsector(UINT32 sector,UINT8 *buffer);
#endif
